package entities

import (
	"time"
)

type StandardGrowthDetail struct {
	Id                uint      `gorm:"primaryKey;autoIncrement"`
	ProductionStandardId uint    `gorm:"not null"`
	TargetMeanBw      *float64  `gorm:"type:numeric(15,3)"`
	MaxDepletion      *float64  `gorm:"type:numeric(15,3)"`
	MinUniformity     float64   `gorm:"type:numeric(15,3);not null"`
	Week              int       `gorm:"not null"`
	FeedIntake        *float64  `gorm:"type:numeric(15,3)"`
	CreatedAt         time.Time `gorm:"type:timestamptz;not null"`
	CreatedBy         uint      `gorm:"not null"`

	ProductionStandard ProductionStandard `gorm:"foreignKey:ProductionStandardId;references:Id"`
}
